JNA API 3.3.0

## com.sun.jna.platform.win32
Interface NTStatus

All Superinterfaces:
  AltCallingConvention, Library, StdCall, StdCallLibrary

    public interface NTStatus

extends StdCallLibrary

Nested Class Summary

Nested classes/interfaces inherited from interface com.sun.jna.win32.StdCallLibrary
`StdCallLibrary.StdCallCallback`

Nested classes/interfaces inherited from interface com.sun.jna.Library
`Library.Handler`

Field Summary
`static int` | `STATUS_ABANDONED`
`static int` | `STATUS_ABANDONED_WAIT_0`
`static int` | `STATUS_ABANDONED_WAIT_63`
`static int` | `STATUS_BUFFER_TOO_SMALL`
`static int` | `STATUS_SUCCESS`
`static int` | `STATUS_WAIT_0`
`static int` | `STATUS_WAIT_1`
`static int` | `STATUS_WAIT_2`
`static int` | `STATUS_WAIT_3`
`static int` | `STATUS_WAIT_63`

Fields inherited from interface com.sun.jna.win32.StdCallLibrary
`FUNCTION_MAPPER, STDCALL_CONVENTION`

Fields inherited from interface com.sun.jna.Library
`OPTION_ALLOW_OBJECTS, OPTION_CALLING_CONVENTION, OPTION_FUNCTION_MAPPER, OPTION_INVOCATION_MAPPER, OPTION_STRUCTURE_ALIGNMENT, OPTION_TYPE_MAPPER`

Field Detail

### STATUS_SUCCESS

    static final int STATUS_SUCCESS

See Also:
  Constant Field Values

### STATUS_BUFFER_TOO_SMALL

    static final int STATUS_BUFFER_TOO_SMALL

See Also:
  Constant Field Values

### STATUS_WAIT_0

    static final int STATUS_WAIT_0

See Also:
  Constant Field Values

### STATUS_WAIT_1

    static final int STATUS_WAIT_1

See Also:
  Constant Field Values

### STATUS_WAIT_2

    static final int STATUS_WAIT_2

See Also:
  Constant Field Values

### STATUS_WAIT_3

    static final int STATUS_WAIT_3

See Also:
  Constant Field Values

### STATUS_WAIT_63

    static final int STATUS_WAIT_63

See Also:
  Constant Field Values

### STATUS_ABANDONED

    static final int STATUS_ABANDONED

See Also:
  Constant Field Values

### STATUS_ABANDONED_WAIT_0

    static final int STATUS_ABANDONED_WAIT_0

See Also:
  Constant Field Values

### STATUS_ABANDONED_WAIT_63

    static final int STATUS_ABANDONED_WAIT_63

See Also:
  Constant Field Values

JNA API 3.3.0

Copyright © 2007-2010 Timothy Wall. All Rights Reserved.